// Copyright (C) 2009 Playedit.

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef BASIC_DIALOGS_H
#define BASIC_DIALOGS_H

#include <glibmm/ustring.h>
#include <gtkmm/dialog.h>
#include <gtkmm/frame.h>
#include <gtkmm/entry.h>

class EntryDialog : public Gtk::Dialog
{
	public:
		EntryDialog(const Glib::ustring& title, const Glib::ustring& frame_txt,
				const Glib::ustring& entry_txt = Glib::ustring());
		static Glib::ustring RunEntryDialog(const Glib::ustring& title, const Glib::ustring& frame_txt,
				const Glib::ustring& entry_txt = Glib::ustring());

		Glib::ustring GetEntry();

	private:
		Gtk::Frame m_Frame;
		Gtk::Entry m_Entry;
};

bool ConfirmationDialog(const Glib::ustring& title, const Glib::ustring& label_txt);
Glib::ustring ImageChooserDialog(const Glib::ustring& title);
void AboutDialog();
void LaunchHelp();

#endif // BASIC_DIALOGS_H
